Easy install fails

i am on ubuntu 18.4… been struggling for 4 days unable to install erpnext, this really hard…

easy install script is crap too i suppose doesnt work at all…
can anyone help

Hi,

May we know what guide or instructions were followed for the installation?

Have you installed the prerequisites? Looks like not from the error.
apt install python3-minimal build-essential python3-setuptools

You can check the log at the path specified in screenshot.

Before saying crap to anything, first familiarise with it, (here easy install) and it’s parameter. Go dig into it… open easy install file and see how cleverly the code is written to reduce the mundane task of installing dependencies and ERPNext.

Also note: easy install might fail at times for simple reason, bugs or dependency chain mismatches in the concerned packages and permission issues. That has nothing to do with easy install. Still you feel it’s buggy, it’s a community effort… You can contribute to make it awesome.

(Besides you are running with root which is not recommended, but that has nothing to do with error.)

Hello @rioshaz,

Can you check the logs?

cat <filename>.log

So far we have encountered the following errors and resolved it with these:

  • Missing Rust compiler error
sudo snap install rustup --classic
sudo rustup default stable
  • Missing openssl while compiling with Rust compiler
sudo apt-get install libssl-dev libffi-dev

The commands above are for Ubuntu 18.04.

Regards,

Ivan

thank guys but the issue has been fixed :

this is the best guide… official easy script dont work either,

can anyone tell me how does notifications work is erp desktop (event notifications, meeting, lead follow, when sales rep generated a invoice etc), will the admin be notified ?

does the mobile app give push notifications ?

at moment the erpnext mobile app looks like a webview of desktop …

pls help…

Hello,

Please check this.
https://docs.erpnext.com/docs/user/manual/en/setting-up/notifications

Regards,

Ivan

follow the 22 steps as in

For better clarification read the posts below the main message in the link.
For me it worked with both Ubuntu 18.04 and 20.04

To solve this, upgrade your pip and rerun the install.py
python3 -m pip install --upgrade pip

Reference: https://github.com/frappe/bench/issues/1119

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.